lenny -> squeeze: beurk

Le
FR
J'ai voulu remplacer lenny par squeeze et dans /etc/apt/sources.list,
j'ai remplacé lenny par testing

puis avec une série de commande: aptitude update; aptitude install apt
dpkg aptitude; aptitude safe-upgrade; aptitude full-upgrade, j'ai
voulu faire la mise-à-jour.

En faitsant un reboot X se plante en boucle, et au démarrage il y a
des messages d'erreurs.

En voulant faire une installation complète avec net-install de squeeze
depuis un cd, je n'arrive pas à rebooter depuis le cd parcque grub
prend la main

Avant de remettre l'image de mon disque dure comme il était avec XP
sans linux, est-ce que quelqu'un sait comment booter depuis un cd
malgrès grub (ou avec) (ou comment corriger mes erreurs, mais j'y
crois pas trop)

François

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Archive: http://lists.debian.org/AANLkTikhU+4-VA-PxsRaLQkk3sxygiOg4QMYbP23MSc+@mail.gmail.com
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Thierry Chatelet
Le #22656901
Peux-tu donner des précisions sur ton matériel pour voir pourquoi tu ne peux
pas booter sur le cd?
Et si tu pouvais éclairer notre lanterne sur les message d'erreurs au boo t de
ta squeeze, il n'y aurait peut-être pas besoin de faire une instal.
Thierry

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
steve
Le #22656911
Le 08-10-2010, à 16:07:35 +0200, FR () a écrit :

J'ai voulu remplacer lenny par squeeze et dans /etc/apt/sources.list,
j'ai remplacé lenny par testing

puis avec une série de commande: aptitude update; aptitude install apt
dpkg aptitude; aptitude safe-upgrade; aptitude full-upgrade, j'ai
voulu faire la mise-à-jour.

En faitsant un reboot X se plante en boucle, et au démarrage il y a
des messages d'erreur



Lesquels ?

En voulant faire une installation complète avec net-install de squeeze
depuis un cd, je n'arrive pas à rebooter depuis le cd parcque grub
prend la main...



Modifier l'ordre de démarrage dans le BIOS pour démarrer d'abord sur le
cd puis sur le disque dur.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Jean-Yves F. Barbier
Le #22656921
On Fri, 8 Oct 2010 16:07:35 +0200, FR
J'ai voulu remplacer lenny par squeeze et dans /etc/apt/sources.list,
j'ai remplacé lenny par testing


^^^^^^^

--
This fortune intentionally not included.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
François
Le #22657021
Le 08/10/2010 16:07, FR a écrit :
J'ai voulu remplacer lenny par squeeze et dans /etc/apt/sources.list,
j'ai remplacé lenny par testing



Avec ça, tu te retrouveras dans la future testing quand Squeeze
deviendra stable.

puis avec une série de commande: aptitude update; aptitude install apt
dpkg aptitude; aptitude safe-upgrade; aptitude full-upgrade, j'ai
voulu faire la mise-à-jour.



aptitude dist-upgrade, à ce qu'il me semble.

En faitsant un reboot X se plante en boucle, et au démarrage il y a
des messages d'erreurs.



Supprime xorg.conf (ou remomme-le). La version actuelle de Xorg ne
l'utilise pas, sauf dans certains cas précis comme l'installation
manuelle d'un pilote vidéo.

En voulant faire une installation complète avec net-install de squeeze
depuis un cd, je n'arrive pas à rebooter depuis le cd parcque grub
prend la main...

Avant de remettre l'image de mon disque dure comme il était avec XP
sans linux, est-ce que quelqu'un sait comment booter depuis un cd
malgrès grub (ou avec) (ou comment corriger mes erreurs, mais j'y
crois pas trop...)



Grub n'y est pour rien. C'est avant son chargement que ça se passe.
Il y a un réglage à faire dans le bios pour donner la priorité au CD au
démarrage.
Il faut peut-être appuyer sur une touche ou une combinaison de touches
au démarrage pour démarrer sur le CD. Ça change d'un PC à l'autre, en
fonction de la marque et de la version du bios.

--
François

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/i8ndnp$fht$
Jean-Michel OLTRA
Le #22659661
Bonjour,


Le vendredi 08 octobre 2010, FR a écrit...


J'ai voulu remplacer lenny par squeeze et dans /etc/apt/sources.list,
j'ai remplacé lenny par testing

puis avec une série de commande: aptitude update; aptitude install apt
dpkg aptitude; aptitude safe-upgrade; aptitude full-upgrade, j'ai
voulu faire la mise-à-jour.

En faitsant un reboot X se plante en boucle, et au démarrage il y a
des messages d'erreurs.



Je viens de faire une mise à jour, entre deux choses, sur une machine
qui faisait pareil.

Je dois dire que ça a été un peu confus, peut-être parce que je faisais
autre chose. Je vais donc décrire à peu près ce qui s'est passé, à voir
si ça peut te servir.

J'avais remarqué qu'il y avait des soucis liés à python. Du coup j'ai
fait un `aptitude install python`, qui m'a installé tout un tas de truc
et qui a résolu le problème de dépendance (avec une libXquelque chose).

Ensuite j'ai eu un problème sur la mise à jour de udev, résolu avec un
`touch /etc/udev/kernel-upgrade`.

Il me souvient d'avoir ensuite fait plusieurs `aptitude safe-upgrade
--no-new-install`, qui ont poursuivi l'installation. Je pense qu'à ce
stade X était redevenu fonctionnel.

Puis j'ai terminé par un `aptitude full-upgrade` (après avoir fait un -s
d'abord, pour voir). Ce qui a terminé l'installation, mais j'ai du
ensuite supprimer quelques paquets que j'avais vu passer pour rien
(python-twisted par exemple).

Et c'est là que je me suis dit que le système de paquetage de Debian
était quand même bien fait, bien que la mise à jour fut un peu
laborieuse. Bon ce n'était pas ma machine, et ce n'est pas moi qui ait
démarré la transition lenny->squeeze.

Voilà.

--
jm

A.E.L. Sarl (R.C.S CASTRES 490843240)
http://www.spidboutic.fr



--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
J
Le #22659651
Le vendredi 08 octobre 2010 à 16:07 +0200, FR a écrit :
En faitsant un reboot X se plante en boucle, et au démarrage il y a
des messages d'erreurs.



Si tu as installé un pilote proprio c'est tout a fait normal comme à
chaque changement de kernel. Il faut réinstaller le proprio.

Par ailleurs sous Testing, le xorg.conf est supprimé par défaut. Le
nouveau xorg utilise directement udev (de même hal est devenu obsolète,
les dev ont trouvé que ça faisait une surcouche inutile).

Bref, il y a du changement à prendre en compte. C'est pas forcément pour
ça que c'est mauvais.

Au passage, comme dit l'autre message : Des informations précises et le
contenu des messages d'erreurs c'est plus facile pour analyser ce qui ne
marche pas. Linux n'est pas comme windows : les messages d'erreurs non
seulement sont techniquement exact, mais en plus ont une signification
utilisable.

--
Jérôme -

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Jean-Louis Giraud
Le #22660371
Bonjour
je ne sais pas si ça fera avancer le schmilblic mais voici un
copier/coller d'un message diffusé récemment par un adhérent
de Gulliver, le Gul rennais, à propos de la migration lenny/squeeze :


Pour ceux que cela intéresse :
Migration lenny en squeeze
Tout se fera dans un terminal et en administrateur, donc attention
c'est potentiellement dangereux :
la marque # en début de ligne indique dans un terminal que l'on est
root (administrateur), voir le fichier .bashrc

1) si on a utiliser synaptic qui est différent d'aptitude, il faut
commencer par faire
# aptitude unmarkauto '~i~M'

2) puis dans le terminal
# aptitude update
# aptitude full-upgrade
met la version lenny à jour

3) Remplacer lenny par squeeze dans /etc/apt/sources.list
avec l'éditeur de votre choix et en root (administrateur)
Perso je conseil vim ou emacs ou nano pour éviter une fenêtre graphique
en administrateur.
On relance la mise à jour des paquets squeeze dans le terminal
# aptitude update
# aptitude install aptitude

4) Après l'installation du nouvel aptitude de squeeze, on met à jour le
noyau, on peut faire la commande uname -a pour connaitre le type de
processeur, on remplace alors le 2-6-686 par le sien.
De nouveau dans un terminal
#aptitude update
#aptitude install linux-image-2.6-686

5) On va maintenant lancer la migration qui peut durer longtemps ....
#aptitude safe-upgrade
Cherche longtemps, si il ne trouve pas au bout d'un long temps on peut
alors faire dans le terminal
#aptitude full-upgrade


--
Cordialement
Jean-Louis Giraud
--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Sylvain L. Sauvage
Le #22660551
Le samedi 9 octobre 2010 à 17:18:52, Jean-Louis Giraud a écrit :
Bonjour



’jour,

[…]
#aptitude install linux-image-2.6-686



Tu n’oublies pas un «reboot» là ?

5) […]



--
Sylvain Sauvage
J
Le #22661511
Le samedi 09 octobre 2010 à 17:18 +0200, Jean-Louis Giraud a écrit :
1) si on a utiliser synaptic qui est différent d'aptitude, il faut
commencer par faire
# aptitude unmarkauto '~i~M'



Je ne sais pas si passer tous les paquets installées en manuel est
judicieux. Personnellement je ne ferais jamais ça. Ceci dit mélanger apt
et aptitude n'est pas judicieux en général.

--
Jérôme -

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
David Prévot
Le #22661601
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Le 09/10/2010 18:50, Jérôme a écrit :
Le samedi 09 octobre 2010 à 17:18 +0200, Jean-Louis Giraud a écrit :
1) si on a utiliser synaptic qui est différent d'aptitude, il faut
commencer par faire
# aptitude unmarkauto '~i~M'



Je ne sais pas si passer tous les paquets installées en manuel est
judicieux.



Probablement pas, ceci dit, c'est ce qui existait de fait avec les
anciennes version d'APT.

[...] Ceci dit mélanger apt
et aptitude n'est pas judicieux en général.



Ce n'est plus vrai : APT (et apt-get donc) gère maintenant aussi la
différence entre les installations automatiques et celle qui ne le sont
pas, il gère même ça (entre autres) tellement bien que ce sera de
nouveau l'outil conseillé pour l'installation de (et sans doute aussi la
mise à jour vers) Squeeze. Pour ce qui est de la compatibilité avec
Synaptic, je n'en ai pas la moindre idée, mais je ne vois pas pourquoi
ce genre d'outil casserait la base (si c'est le cas, c'est un bogue
critique, et il faudrait le virer de Debian).

Amicalement

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyxAl0ACgkQ18/WetbTC/oohACbBAFC0LCaWN1/wDrKfUWGV9Ft
bxIAmwfF7W0Vajdp/XvW2nvZ6dtNtuAB
<wJ
-----END PGP SIGNATURE-----

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/i8qvp3$s2p$
Publicité
Poster une réponse
Anonyme